> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get block heights

> Get all block heights within a particular date range.



## OpenAPI

````yaml get /apechain/v1/blocks/{startDate}/{endDate}
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/blocks/{startDate}/{endDate}:
    get:
      tags:
        - Blocks
      summary: Get block heights
      description: Get all block heights within a particular date range.
      operationId: getBlockHeights
      parameters:
        - description: The start date in YYYY-MM-DD format.
          in: path
          name: startDate
          required: true
          schema:
            format: date
            type: string
        - description: The end date in YYYY-MM-DD format.
          in: path
          name: endDate
          required: true
          schema:
            format: date
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockHeightsResponse'
              examples:
                example1:
                  value:
                    cursor: null
                    items:
                      - extra_data: >-
                          0xb66f95dfcfeb9df71b3361d0292e36d75838ba89161d995a64b425e75ccbbc12
                        gas_limit: '1125899906842624'
                        gas_used: '147396'
                        hash: >-
                          0x7c652ae35d42eb420f64b77f53d02154eadd851cb6eb353d9bb65efe77734131
                        miner: '0xa4b000000000000000000073657175656e636572'
                        number: 9194060
                        parent_hash: >-
                          0xc45cec050511f3146500fc4bdef5714718ea08517906941278c8aedfb1f6b9eb
                        timestamp: '2025-02-02T23:59:46Z'
                      - extra_data: >-
                          0xb66f95dfcfeb9df71b3361d0292e36d75838ba89161d995a64b425e75ccbbc12
                        gas_limit: '1125899906842624'
                        gas_used: '361660'
                        hash: >-
                          0xc45cec050511f3146500fc4bdef5714718ea08517906941278c8aedfb1f6b9eb
                        miner: '0xa4b000000000000000000073657175656e636572'
                        number: 9194059
                        parent_hash: >-
                          0xdb1f669f3d9ea0d94f949e64aec64ea8021cb56745279988945fde5d93c7d8cb
                        timestamp: '2025-02-02T23:59:45Z'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    BlockHeightsResponse:
      properties:
        count:
          format: int64
          type: integer
        cursor:
          nullable: true
          type: string
        items:
          items:
            $ref: '#/components/schemas/BlockHeight'
          type: array
      required:
        - items
      type: object
    BlockHeight:
      properties:
        extra_data:
          type: string
        gas_limit:
          type: string
        gas_used:
          type: string
        hash:
          type: string
        miner:
          type: string
        number:
          format: int64
          type: integer
        parent_hash:
          type: string
        timestamp:
          format: date-time
          type: string
      required:
        - parent_hash
        - number
        - gas_limit
        - gas_used
        - timestamp
        - extra_data
        - hash
        - miner
      type: object

````